Get User Auth Contexts
GET /obp/v7.0.0/users/USER_ID/auth-context
OBPv5.0.0-getUserAuthContexts Roles: CanGetUserAuthContext User
Get User Auth Contexts for a User.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
USER_ID: 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
JSON response body fields (6)
Example success response
{
"user_auth_context_id": "613c83ea-80f9-4560-8404-b9cd4ec42a7f",
"user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
"key": "CUSTOMER_NUMBER",
"value": "78987432",
"time_stamp": "1100-01-01T00:00:00Z",
"consumer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh"
}Possible errors (3)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-50000: Unknown Error.